All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.table
Class SelectionChangedEvent

    com.sas.table.SelectionChangedEvent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class SelectionChangedEvent

Reports a change to a Selection.

SelectionChangedEvent is a ContentsChangedEvent subclass that is created/sent when a Selection has changed. It informs the listener of the specific additions and deletions made to the Selection. All the com.sas.table subclasses of Selection send SelectionChangedEvents to all registered listeners of ContentsChangedEvent.

See Also:
  `Selection.addContentsChangedListener(com.sas.collection.ContentsChangedListener)`, Serialized Form

Field Summary
`Selection[]` | `additions` An array of Selections which represent the items added to the source Selection.
`Selection[]` | `deletions` An array of Selections which represent the items deleted from the source Selection.

Constructor Summary
`SelectionChangedEvent(java.lang.Object source, Selection[] additions, Selection[] deletions)` Constructs a new SelectionChangedEvent object.

Field Detail

### additions

    public final Selection[] additions

  An array of Selections which represent the items added to the source Selection. (will never be null)

### deletions

    public final Selection[] deletions

  An array of Selections which represent the items deleted from the source Selection. (will never be null)

Constructor Detail

### SelectionChangedEvent

    public SelectionChangedEvent(java.lang.Object source,
                                 Selection[] additions,
                                 Selection[] deletions)

  Constructs a new SelectionChangedEvent object.

  Parameters:
    `source` - The selection that changed.
    `additions` - An array of Selections which represent the items added to source. (may be null)
    `deletions` - An array of Selections which represent the items removed from source. (may be null)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.